/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package org.statcato.help;

import javax.swing.JFrame;

/**
 * A frame displaying help files.
 * 
 * @see HelpPanel
 * @author Margaret Yau
 * @version %I%, %G%
 * @since 1.0
 */
public class HelpFrame extends JFrame{
    HelpPanel helpPanel;
    
    public HelpFrame () {
        super("Statcato Help");
        helpPanel = new HelpPanel();
        setLocationRelativeTo(null);
        setDefaultCloseOperation(JFrame.HIDE_ON_CLOSE);

        //Add content to the window.
        add(helpPanel);
        pack();
    }
    
    public void displayHTMLPage(String fileName) {
        helpPanel.displayPage(fileName);
    }
}
